
From: Pavel Machek <pavel@suse.cz>

This should fix u32 vs. pm_message_t confusion in firewire.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ieee1394/nodemgr.c  |    2 +-
 25-akpm/drivers/ieee1394/ohci1394.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/ieee1394/nodemgr.c~fix-u32-vs-pm_message_t-confusion-in-firewire drivers/ieee1394/nodemgr.c
--- 25/drivers/ieee1394/nodemgr.c~fix-u32-vs-pm_message_t-confusion-in-firewire	Thu Feb 17 16:40:05 2005
+++ 25-akpm/drivers/ieee1394/nodemgr.c	Thu Feb 17 16:40:05 2005
@@ -1284,7 +1284,7 @@ static void nodemgr_suspend_ne(struct no
 
 		if (ud->device.driver &&
 		    (!ud->device.driver->suspend ||
-		      ud->device.driver->suspend(&ud->device, 0, 0)))
+		      ud->device.driver->suspend(&ud->device, PMSG_SUSPEND, 0)))
 			device_release_driver(&ud->device);
 	}
 	up_write(&ne->device.bus->subsys.rwsem);
diff -puN drivers/ieee1394/ohci1394.c~fix-u32-vs-pm_message_t-confusion-in-firewire drivers/ieee1394/ohci1394.c
--- 25/drivers/ieee1394/ohci1394.c~fix-u32-vs-pm_message_t-confusion-in-firewire	Thu Feb 17 16:40:05 2005
+++ 25-akpm/drivers/ieee1394/ohci1394.c	Thu Feb 17 16:40:05 2005
@@ -3546,7 +3546,7 @@ static int ohci1394_pci_resume (struct p
 }
 
 
-static int ohci1394_pci_suspend (struct pci_dev *pdev, u32 state)
+static int ohci1394_pci_suspend (struct pci_dev *pdev, pm_message_t state)
 {
 #ifdef CONFIG_PMAC_PBOOK
 	{
_
